(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     21630,        691]
NotebookOptionsPosition[     20709,        656]
NotebookOutlinePosition[     21044,        671]
CellTagsIndexPosition[     21001,        668]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"f", "\[Equal]", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"y", "^", "2"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x", "-", "Xl"}], ")"}], "^", "2"}]}], "]"}], " ", "+", 
        " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", 
          RowBox[{"y", "^", "2"}]}], "]"}]}]}], ",", 
      RowBox[{"g", "\[Equal]", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"y", "^", "2"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x", "-", "Xr"}], ")"}], "^", "2"}]}], "]"}], " ", "+", 
        " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", 
          RowBox[{"y", "^", "2"}]}], "]"}]}]}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.515426716401871*^9, 3.51542694508688*^9}, {
  3.515494250442916*^9, 3.515494312592763*^9}, {3.515494443619315*^9, 
  3.515494481698374*^9}, {3.515495886073002*^9, 3.515495892041057*^9}, {
  3.515496075998226*^9, 3.515496077798789*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      FractionBox[
       RowBox[{
        RowBox[{
         SuperscriptBox["f", "2"], " ", "g"}], "-", 
        RowBox[{"g", " ", 
         SuperscriptBox["Xl", "2"]}], "+", 
        RowBox[{"f", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["g", "2"]}], "+", 
           SuperscriptBox["Xr", "2"]}], ")"}]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "g", " ", "Xl"}], "+", 
        RowBox[{"2", " ", "f", " ", "Xr"}]}]]}], ",", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"-", 
       FractionBox[
        SqrtBox[
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["g", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["f", "2"], "-", 
              SuperscriptBox["Xl", "2"]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["f", "2"], "-", 
              RowBox[{"2", " ", "f", " ", "g"}], "+", 
              SuperscriptBox["g", "2"], "-", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"Xl", "-", "Xr"}], ")"}], "2"]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["g", "2"], "-", 
              SuperscriptBox["Xr", "2"]}], ")"}]}], 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"g", " ", "Xl"}], "-", 
              RowBox[{"f", " ", "Xr"}]}], ")"}], "2"]]}]], 
        RowBox[{"2", " ", "g"}]]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      FractionBox[
       RowBox[{
        RowBox[{
         SuperscriptBox["f", "2"], " ", "g"}], "-", 
        RowBox[{"g", " ", 
         SuperscriptBox["Xl", "2"]}], "+", 
        RowBox[{"f", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["g", "2"]}], "+", 
           SuperscriptBox["Xr", "2"]}], ")"}]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "g", " ", "Xl"}], "+", 
        RowBox[{"2", " ", "f", " ", "Xr"}]}]]}], ",", 
     RowBox[{"y", "\[Rule]", 
      FractionBox[
       SqrtBox[
        RowBox[{"-", 
         FractionBox[
          RowBox[{
           SuperscriptBox["g", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["f", "2"], "-", 
             SuperscriptBox["Xl", "2"]}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["f", "2"], "-", 
             RowBox[{"2", " ", "f", " ", "g"}], "+", 
             SuperscriptBox["g", "2"], "-", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"Xl", "-", "Xr"}], ")"}], "2"]}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["g", "2"], "-", 
             SuperscriptBox["Xr", "2"]}], ")"}]}], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"g", " ", "Xl"}], "-", 
             RowBox[{"f", " ", "Xr"}]}], ")"}], "2"]]}]], 
       RowBox[{"2", " ", "g"}]]}]}], "}"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.515496935952406*^9, 3.515496938796506*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"position", "[", 
   RowBox[{"f_", ",", "g_"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       SuperscriptBox["f", "2"], " ", "g"}], "-", 
      RowBox[{"g", " ", 
       SuperscriptBox["Xl", "2"]}], "+", 
      RowBox[{"f", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["g", "2"]}], "+", 
         SuperscriptBox["Xr", "2"]}], ")"}]}]}], 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "g", " ", "Xl"}], "+", 
      RowBox[{"2", " ", "f", " ", "Xr"}]}]], ",", 
    FractionBox[
     SqrtBox[
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         SuperscriptBox["g", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["f", "2"], "-", 
           SuperscriptBox["Xl", "2"]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["f", "2"], "-", 
           RowBox[{"2", " ", "f", " ", "g"}], "+", 
           SuperscriptBox["g", "2"], "-", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"Xl", "-", "Xr"}], ")"}], "2"]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["g", "2"], "-", 
           SuperscriptBox["Xr", "2"]}], ")"}]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"g", " ", "Xl"}], "-", 
           RowBox[{"f", " ", "Xr"}]}], ")"}], "2"]]}]], 
     RowBox[{"2", " ", "g"}]]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.515496295181325*^9, 3.515496373145641*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"distance", "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"y", "^", "2"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "-", "Xl"}], ")"}], "^", "2"}]}], "]"}], " ", "+", " ", 
     
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"x", "^", "2"}], "+", 
       RowBox[{"y", "^", "2"}]}], "]"}]}], ",", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"y", "^", "2"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "-", "Xr"}], ")"}], "^", "2"}]}], "]"}], " ", "+", " ", 
     
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"x", "^", "2"}], "+", 
       RowBox[{"y", "^", "2"}]}], "]"}]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.515496905741654*^9, 3.515496944394813*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"distance", "[", 
  RowBox[{"0.3", ",", "7.4"}], "]"}]], "Input",
 CellChangeTimes->{{3.515496403004589*^9, 3.515496473593597*^9}, {
  3.515496631709924*^9, 3.515496675661791*^9}, {3.515496758217258*^9, 
  3.51549676557555*^9}, {3.515496952775792*^9, 3.515496982312476*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"14.919400087018944`", ",", "14.839112958173462`"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.515496996655669*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"position", "[", 
  RowBox[{"14.919400087018944`", ",", "14.839112958173462`"}], "]"}]], "Input",
 CellChangeTimes->{{3.515496988909477*^9, 3.515497012744518*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.3000000000000122`", ",", "7.399999999999991`"}], "}"}]], "Output",\

 CellChangeTimes->{3.515497013951068*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.515496949744564*^9, 3.515496949783665*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"f", "\[Equal]", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"y", "^", "2"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x", "-", "Xl"}], ")"}], "^", "2"}]}], "]"}], " ", "+", 
        " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", 
          RowBox[{"y", "^", "2"}]}], "]"}]}]}], ",", 
      RowBox[{"g", "\[Equal]", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"y", "^", "2"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x", "-", "Xr"}], ")"}], "^", "2"}]}], "]"}], " ", "+", 
        " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", 
          RowBox[{"y", "^", "2"}]}], "]"}]}]}], ",", 
      RowBox[{"a", "==", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"y", "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "Xl"}], ")"}], "^", "2"}]}], "]"}]}], ",", 
      RowBox[{"b", "==", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"y", "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "Xr"}], ")"}], "^", "2"}]}], "]"}]}], ",", 
      RowBox[{"c", "==", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"x", "^", "2"}], "+", 
         RowBox[{"y", "^", "2"}]}], "]"}]}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y", ",", "a", ",", "b", ",", "c"}], "}"}]}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.515497849255536*^9, 3.515497856520988*^9}, {
  3.515497888462276*^9, 3.515497937952609*^9}},
 FontWeight->"Plain"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      FractionBox[
       RowBox[{
        RowBox[{
         SuperscriptBox["f", "2"], " ", "g"}], "-", 
        RowBox[{"g", " ", 
         SuperscriptBox["Xl", "2"]}], "+", 
        RowBox[{"f", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["g", "2"]}], "+", 
           SuperscriptBox["Xr", "2"]}], ")"}]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "g", " ", "Xl"}], "+", 
        RowBox[{"2", " ", "f", " ", "Xr"}]}]]}], ",", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"-", 
       FractionBox[
        SqrtBox[
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["g", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["f", "2"], "-", 
              SuperscriptBox["Xl", "2"]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["f", "2"], "-", 
              RowBox[{"2", " ", "f", " ", "g"}], "+", 
              SuperscriptBox["g", "2"], "-", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"Xl", "-", "Xr"}], ")"}], "2"]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["g", "2"], "-", 
              SuperscriptBox["Xr", "2"]}], ")"}]}], 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"g", " ", "Xl"}], "-", 
              RowBox[{"f", " ", "Xr"}]}], ")"}], "2"]]}]], 
        RowBox[{"2", " ", "g"}]]}]}], ",", 
     RowBox[{"a", "\[Rule]", 
      RowBox[{"f", "-", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SqrtBox[
         FractionBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SuperscriptBox["g", "2"], " ", "Xl"}], "-", 
             RowBox[{"Xr", " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["f", "2"], "+", 
                RowBox[{"Xl", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "Xl"}], "+", "Xr"}], ")"}]}]}], ")"}]}]}], 
            ")"}], "2"], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"g", " ", "Xl"}], "-", 
             RowBox[{"f", " ", "Xr"}]}], ")"}], "2"]]]}]}]}], ",", 
     RowBox[{"b", "\[Rule]", 
      RowBox[{"g", "-", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SqrtBox[
         FractionBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SuperscriptBox["g", "2"], " ", "Xl"}], "-", 
             RowBox[{"Xr", " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["f", "2"], "+", 
                RowBox[{"Xl", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "Xl"}], "+", "Xr"}], ")"}]}]}], ")"}]}]}], 
            ")"}], "2"], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"g", " ", "Xl"}], "-", 
             RowBox[{"f", " ", "Xr"}]}], ")"}], "2"]]]}]}]}], ",", 
     RowBox[{"c", "\[Rule]", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       SqrtBox[
        FractionBox[
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SuperscriptBox["g", "2"], " ", "Xl"}], "-", 
            RowBox[{"Xr", " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["f", "2"], "+", 
               RowBox[{"Xl", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "Xl"}], "+", "Xr"}], ")"}]}]}], ")"}]}]}], 
           ")"}], "2"], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"g", " ", "Xl"}], "-", 
            RowBox[{"f", " ", "Xr"}]}], ")"}], "2"]]]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      FractionBox[
       RowBox[{
        RowBox[{
         SuperscriptBox["f", "2"], " ", "g"}], "-", 
        RowBox[{"g", " ", 
         SuperscriptBox["Xl", "2"]}], "+", 
        RowBox[{"f", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["g", "2"]}], "+", 
           SuperscriptBox["Xr", "2"]}], ")"}]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "g", " ", "Xl"}], "+", 
        RowBox[{"2", " ", "f", " ", "Xr"}]}]]}], ",", 
     RowBox[{"y", "\[Rule]", 
      FractionBox[
       SqrtBox[
        RowBox[{"-", 
         FractionBox[
          RowBox[{
           SuperscriptBox["g", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["f", "2"], "-", 
             SuperscriptBox["Xl", "2"]}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["f", "2"], "-", 
             RowBox[{"2", " ", "f", " ", "g"}], "+", 
             SuperscriptBox["g", "2"], "-", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"Xl", "-", "Xr"}], ")"}], "2"]}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["g", "2"], "-", 
             SuperscriptBox["Xr", "2"]}], ")"}]}], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"g", " ", "Xl"}], "-", 
             RowBox[{"f", " ", "Xr"}]}], ")"}], "2"]]}]], 
       RowBox[{"2", " ", "g"}]]}], ",", 
     RowBox[{"a", "\[Rule]", 
      RowBox[{"f", "-", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SqrtBox[
         FractionBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SuperscriptBox["g", "2"], " ", "Xl"}], "-", 
             RowBox[{"Xr", " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["f", "2"], "+", 
                RowBox[{"Xl", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "Xl"}], "+", "Xr"}], ")"}]}]}], ")"}]}]}], 
            ")"}], "2"], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"g", " ", "Xl"}], "-", 
             RowBox[{"f", " ", "Xr"}]}], ")"}], "2"]]]}]}]}], ",", 
     RowBox[{"b", "\[Rule]", 
      RowBox[{"g", "-", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SqrtBox[
         FractionBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SuperscriptBox["g", "2"], " ", "Xl"}], "-", 
             RowBox[{"Xr", " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["f", "2"], "+", 
                RowBox[{"Xl", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "Xl"}], "+", "Xr"}], ")"}]}]}], ")"}]}]}], 
            ")"}], "2"], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"g", " ", "Xl"}], "-", 
             RowBox[{"f", " ", "Xr"}]}], ")"}], "2"]]]}]}]}], ",", 
     RowBox[{"c", "\[Rule]", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       SqrtBox[
        FractionBox[
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SuperscriptBox["g", "2"], " ", "Xl"}], "-", 
            RowBox[{"Xr", " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["f", "2"], "+", 
               RowBox[{"Xl", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "Xl"}], "+", "Xr"}], ")"}]}]}], ")"}]}]}], 
           ")"}], "2"], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"g", " ", "Xl"}], "-", 
            RowBox[{"f", " ", "Xr"}]}], ")"}], "2"]]]}]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.515497857789938*^9, 3.515497938817161*^9, 
  3.515498443550477*^9, 3.515498495049169*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CForm", "[", 
  FractionBox[
   SqrtBox[
    RowBox[{"-", 
     FractionBox[
      RowBox[{
       SuperscriptBox["g", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["f", "2"], "-", 
         SuperscriptBox["Xl", "2"]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["f", "2"], "-", 
         RowBox[{"2", " ", "f", " ", "g"}], "+", 
         SuperscriptBox["g", "2"], "-", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"Xl", "-", "Xr"}], ")"}], "2"]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["g", "2"], "-", 
         SuperscriptBox["Xr", "2"]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"g", " ", "Xl"}], "-", 
         RowBox[{"f", " ", "Xr"}]}], ")"}], "2"]]}]], 
   RowBox[{"2", " ", "g"}]], "]"}]], "Input",
 CellChangeTimes->{{3.515498536581236*^9, 3.515498539213621*^9}, {
   3.515498650974364*^9, 3.515498653572732*^9}, {3.515499109832382*^9, 
   3.515499111554484*^9}, 3.515499287277104*^9}],

Cell["\<\
Sqrt(-((Power(g,2)*(Power(f,2) - Power(Xl,2))*
         (Power(f,2) - 2*f*g + Power(g,2) - Power(Xl - Xr,2))*
         (Power(g,2) - Power(Xr,2)))/Power(g*Xl - f*Xr,2)))/(2.*g)\
\>", "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{{3.515498539771723*^9, 3.515498545680778*^9}, 
   3.515498654644995*^9, 3.515499112485191*^9, 3.515499287974278*^9}],

Cell["\<\
(Power(f,2)*g - g*Power(Xl,2) + f*(-Power(g,2) + Power(Xr,2)))/
   (-2*g*Xl + 2*f*Xr)\
\>", "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{{3.515498539771723*^9, 3.515498545680778*^9}, 
   3.515498654644995*^9, 3.515499112485191*^9}],

Cell["\<\
g - Sqrt(Power(Power(g,2)*Xl - Xr*(Power(f,2) + Xl*(-Xl + Xr)),
       2)/Power(g*Xl - f*Xr,2))/2.\
\>", "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{{3.515498539771723*^9, 3.515498545680778*^9}, 
   3.515498654644995*^9}]
}, Open  ]]
},
WindowSize->{1280, 723},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Linux x86 (32-bit) (October 10, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 1292, 37, 30, "Input"],
Cell[1852, 59, 3322, 100, 176, "Input"],
Cell[5177, 161, 1590, 50, 88, "Input"],
Cell[6770, 213, 894, 30, 30, "Input"],
Cell[CellGroupData[{
Cell[7689, 247, 297, 5, 30, "Input"],
Cell[7989, 254, 154, 4, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8180, 263, 186, 3, 30, "Input"],
Cell[8369, 268, 152, 4, 30, "Output"]
}, Open  ]],
Cell[8536, 275, 92, 1, 30, "Input"],
Cell[CellGroupData[{
Cell[8653, 280, 1821, 56, 50, "Input"],
Cell[10477, 338, 8155, 250, 297, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18669, 593, 1086, 32, 88, "Input"],
Cell[19758, 627, 388, 8, 62, "Output"],
Cell[20149, 637, 275, 7, 46, "Output"],
Cell[20427, 646, 266, 7, 46, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
